# First Input Delay Changes in Chrome 91

### Disable double-tap-to-zoom on mobile viewports

Double-tap-to-zoom (DTZ) is a gesture used to zoom into text. Previously, DTZ
was disabled when either zooming was disabled (min-zoom equal to max-zoom) or
when the content width fits the viewport width. After this change, we also
disable DTZ when the viewport meta tag specifies `width=device-width` or
`initial-scale>=1.0`, even when implicitly doing so, like for example in
`minimum-scale=1.5, maximum-scale=2`.

Because DTZ negatively impacts FID and the amount of pages where DTZ is disabled
is increased, we expect some sites to see better FID scores.

[Relevant bug](https://bugs.chromium.org/p/chromium/issues/detail?id=1108987)

## When were users affected?

Chrome 91 is currently scheduled to be released the week of May 25, 2021.
