# Changes related to LCP, FCP and Paint Holding in Chrome 111

## Paint holding and FCP
Prior to Chrome 111, there was an issue where a frame could be generated by the
browser, but not actually displayed, but would still be marked as the first
contenful paint. This could happen in a number of ways, but was particularly
problematic when the actual first paint was being delayed due to
[paint holding](https://developer.chrome.com/blog/paint-holding/). With Chrome
111, this issue has been corrected.

At the same time, we discovered that some of the other cases where the frame was
being held back were in fact unnecessary. This has also been fixed in Chrome
111, so we are now often displaying the first paint earlier than in previous
releases.

## How does this affect a site's metrics?
Chrome will now report FCP as the time that the first contentful frame is
actually presented to the user. This may result in FCP times increasing, and
potentially LCP, if the first contentful paint also includes the LCP element.
However, the effect of this is mitigated by the fact that we are showing that
first frame earlier than before, so the net effect to users is a faster page
load time.

## When were users affected?
Paint holding launched in Chrome 76, and FCP was reported early until these
changes, which were included in Chrome 111.
